Page MenuHomePhabricator

[Debug-Info] handle DW_CC_pass_by_value/DW_CC_pass_by_reference under strict DWARF.
ClosedPublic

Authored by Esme on May 27 2021, 10:12 PM.

Details

Summary

When -strict-dwarf=true is specified, the calling convention info DW_CC_pass_by_value or DW_CC_pass_by_reference can only be generated at DWARF5.

Diff Detail

Event Timeline

Esme created this revision.May 27 2021, 10:12 PM
Esme requested review of this revision.May 27 2021, 10:12 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 27 2021, 10:12 PM
shchenz accepted this revision.Jun 1 2021, 7:39 PM

LGTM. Thanks for fixing this.

Please wait for some days to wait for @dblaikie or @aprantl comments if they have.

This revision is now accepted and ready to land.Jun 1 2021, 7:39 PM
dblaikie accepted this revision.Jun 2 2021, 9:30 AM

Looks alright. Test might be tidied up a bit I think.

llvm/test/DebugInfo/Generic/pass-by-value.ll
27

I'd probably relax this to: STRICT-NOT: DW_AT_calling_convention (& similarly below)

Or maybe even implicit-check-not=DW_AT_calling_convention in the FileCheck line above?

Esme updated this revision to Diff 349460.Jun 2 2021, 11:19 PM

Address comments

dblaikie accepted this revision.Jun 3 2021, 10:01 AM

Looks good, thanks!